unit BeeGui_ExtractFrm;

{ Contains:

  beeGUI Exctract form.

  (C) 2005 Andrew Filinsky, Melchiorre Caruso

  Modifyed:

  v1.0.1 build 9155 - 2005/07/15 Melchiorre Caruso
  v1.0.1 build 9158 - 2005/07/24 Melchiorre Caruso

}

{$R-,Q-,S-}

interface

uses
  Buttons,
  Classes,
  ComCtrls,
  StdCtrls,
  Controls,
  SysUtils,

  BeeGui_Forms,
  BeeGui_ListView; // TBeeGuiCustomForm

type
  TExtractFrm = class (TBGExtractForm)
  
    ExtractFrm_ExtrOverWrite_: TGroupBox;
    ExtractFrm_ExtrOptions: TGroupBox;
    ExtractFrm_ExtrOverWrite: TComboBox;
    ExtractFrm_ExtrDirName: TCheckBox;
    ExtractFrm_ExtrDir: TEdit;
    ExtractFrm_ExtrDir_: TLabel;

    BtnOk: TBitBtn;
    BtnCancel: TBitBtn;
    ExtractFrm_cOption: TCheckBox;
    ConfigFrm_PriorityGB: TGroupBox;
    ConfigFrm_Priority: TComboBox;
    ExtractFrm_Tree: TBGTreeView;

    procedure FormCreate (Sender: TObject);

  private
    { Private declarations }

  public
    { Public declarations }

  end;

var
  ExtractFrm: TExtractFrm;

implementation

{$R *.DFM}

procedure TExtractFrm.FormCreate(Sender: TObject);
begin
  ExtractFrm_Tree.Initialize;
  ExtractFrm_Tree.CurrDir := ExtractFrm_ExtrDir.Text;
end;

end.
