unit BeeGui_ViewFrm;

interface

uses
  Dialogs,
  ComCtrls,
  StdCtrls,
  Buttons,
  Classes,
  Controls,

  BeeGui_Types;

type
  TViewFrm = class (TBeeGuiCustomForm)
    ViewFrm_ViewMemo: TMemo;
    ViewFrm_StatusBar: TStatusBar;
    ViewFrm_FontDialog: TFontDialog;

    BtnFont: TBitBtn;
    BtnOk: TBitBtn;

    procedure FormShow(Sender: TObject);
    procedure BtnFontClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ViewFrm: TViewFrm;

implementation

{$R *.DFM}

procedure TViewFrm.FormShow(Sender: TObject);
begin
  with ViewFrm_ViewMemo do
  begin
    Height := ViewFrm.Height - 70;
    Font := ViewFrm_FontDialog.Font;
    ViewFrm.BtnOk.Top := Height + 10;
    ViewFrm.BtnFont.Top := Height + 10;

    ViewFrm_StatusBar.Left := ViewFrm.Width - 43;
    ViewFrm_StatusBar.Top := ViewFrm.Height - 51;
  end;
end;

procedure TViewFrm.BtnFontClick(Sender: TObject);
begin
  ViewFrm_FontDialog.Font := ViewFrm_ViewMemo.Font;
  if ViewFrm_FontDialog.Execute
    then ViewFrm_ViewMemo.Font := ViewFrm_FontDialog.Font;
end;

end.
